import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.attackProtection.breachedPasswordDetection.update({});
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.attackProtection.breachedPasswordDetection.update({});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.UpdateBreachedPasswordDetectionSettingsRequestContent{}
mgmt.AttackProtection.BreachedPasswordDetection.Update(
context.TODO(),
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api patch "attack-protection/breached-password-detection" --data '{}'using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.AttackProtection;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.AttackProtection.BreachedPasswordDetection.UpdateAsync(
new UpdateBreachedPasswordDetectionSettingsRequestContent()
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.attackprotection.types.UpdateBreachedPasswordDetectionSettingsRequestContent;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.attackProtection().breachedPasswordDetection().update(
UpdateBreachedPasswordDetectionSettingsRequestContent
.builder()
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\AttackProtection\BreachedPasswordDetection\Requests\UpdateBreachedPasswordDetectionSettingsRequestContent;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->attackProtection->breachedPasswordDetection->update(
new UpdateBreachedPasswordDetectionSettingsRequestContent([]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.attack_protection.breached_password_detection.update()
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.attack_protection.breached_password_detection.update
curl --request PATCH \
--url https://{tenantDomain}/api/v2/attack-protection/breached-password-detection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"shields": [],
"admin_notification_frequency": [],
"method": "standard",
"stage": {
"pre-user-registration": {
"shields": []
},
"pre-change-password": {
"shields": []
}
}
}
'{
"enabled": true,
"shields": [
"block"
],
"admin_notification_frequency": [
"immediately"
],
"method": "standard",
"stage": {
"pre-user-registration": {
"shields": [
"block"
]
},
"pre-change-password": {
"shields": [
"block"
]
}
}
}漏えいパスワードの検知の設定を更新
テナントの漏えいパスワードの検知設定の詳細を更新します。
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.attackProtection.breachedPasswordDetection.update({});
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.attackProtection.breachedPasswordDetection.update({});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.UpdateBreachedPasswordDetectionSettingsRequestContent{}
mgmt.AttackProtection.BreachedPasswordDetection.Update(
context.TODO(),
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api patch "attack-protection/breached-password-detection" --data '{}'using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.AttackProtection;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.AttackProtection.BreachedPasswordDetection.UpdateAsync(
new UpdateBreachedPasswordDetectionSettingsRequestContent()
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.attackprotection.types.UpdateBreachedPasswordDetectionSettingsRequestContent;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.attackProtection().breachedPasswordDetection().update(
UpdateBreachedPasswordDetectionSettingsRequestContent
.builder()
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\AttackProtection\BreachedPasswordDetection\Requests\UpdateBreachedPasswordDetectionSettingsRequestContent;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->attackProtection->breachedPasswordDetection->update(
new UpdateBreachedPasswordDetectionSettingsRequestContent([]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.attack_protection.breached_password_detection.update()
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.attack_protection.breached_password_detection.update
curl --request PATCH \
--url https://{tenantDomain}/api/v2/attack-protection/breached-password-detection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"shields": [],
"admin_notification_frequency": [],
"method": "standard",
"stage": {
"pre-user-registration": {
"shields": []
},
"pre-change-password": {
"shields": []
}
}
}
'{
"enabled": true,
"shields": [
"block"
],
"admin_notification_frequency": [
"immediately"
],
"method": "standard",
"stage": {
"pre-user-registration": {
"shields": [
"block"
]
},
"pre-change-password": {
"shields": [
"block"
]
}
}
}承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ボディ
漏えいパスワードの検知が有効かどうか。
ログイン時に漏えいパスワードが検知された場合に実行する処理。
指定可能な値: block、user_notification、admin_notification。
block, user_notification, admin_notification "admin_notification" が有効な場合に、メール通知を送信する頻度を決定します。
指定可能な値: immediately、daily、weekly、monthly。
immediately, daily, weekly, monthly 漏えいパスワードの検知方式のサブスクリプションレベルです。Credential Guard を有効にするには、"enhanced" を使用します。
指定可能な値: standard, enhanced。
standard, enhanced Show child attributes
Show child attributes
レスポンス
漏えいパスワードの検知設定が正常に更新されました。
漏えいパスワードの検知が有効かどうか。
ログイン時に漏えいパスワードが検知された場合に実行する処理。
指定可能な値: block、user_notification、admin_notification。
block, user_notification, admin_notification "admin_notification" が有効な場合に、メール通知を送信する頻度を決定します。
指定可能な値: immediately、daily、weekly、monthly。
immediately, daily, weekly, monthly 漏えいパスワードの検知方式のサブスクリプションレベルです。Credential Guard を有効にするには、"enhanced" を使用します。
指定可能な値: standard, enhanced。
standard, enhanced Show child attributes
Show child attributes